Bug 974036 - sssd core process keeps running after backends quit
sssd core process keeps running after backends quit
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sssd (Show other bugs)
5.10
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: Regression
: 974033 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 06:32 EDT by Amith
Modified: 2013-09-30 18:46 EDT (History)
6 users (show)

See Also:
Fixed In Version: sssd-1.5.1-69.el5
Doc Type: Bug Fix
Doc Text:
Do not document, result of 5.10 development.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 18:46:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1319 normal SHIPPED_LIVE Low: sssd security and bug fix update 2013-09-30 20:31:17 EDT

  None (edit)
Description Amith 2013-06-13 06:32:58 EDT
Description of problem:
SSSD fails to initialize backend processes due to line
"id_provider = proxy" in the domain section. Looks like a regression.

Version-Release number of selected component (if applicable):
sssd-1.5.1-68.el5

How reproducible:
Always

Steps to Reproduce:
1. Setup the domain section as given below:

[domain/default]
debug_level = 9
id_provider = proxy
ldap_uri = ldap://SERVER
ldap_search_base = dc=example,dc=com
ldap_default_bind_dn = cn=Directory Manager
ldap_tls_cacert = /etc/openldap/cacerts/cacert.asc 

2. Restart the sssd service.
3. List the sssd processes and you will find no backend processes.

# ps -ef | grep sss
root     14321     1  0 14:20 ?        00:00:00 /usr/sbin/sssd -f -D
root     14327 14004  0 14:20 pts/3    00:00:00 grep sss

Actual results:
Sssd fails to start backend processes.

Expected results:
Backend processes should run.

Additional info:
Comment 1 Jakub Hrozek 2013-06-18 03:21:19 EDT
Ondra will take a look
Comment 2 Ondrej Kos 2013-06-18 09:47:33 EDT
Hi,

This is not a regression, the same behavior is in 5.9 and 5.8. The expected result of this configuration is not to start the backend, but to stop sssd with failure, because mandatory configuration option is missing. In this case, you have

id_provider = proxy

which expects the *proxy_lib_name* to be set.

However, I'll take a look why the sssd core process won't stop.
Comment 3 Ondrej Kos 2013-06-20 05:09:28 EDT
Hi,

Backported patches for this issue (core process stays alive after backends fail) are now waiting for review.
Comment 4 Ondrej Kos 2013-06-20 05:12:25 EDT
*** Bug 974033 has been marked as a duplicate of this bug. ***
Comment 5 RHEL Product and Program Management 2013-06-20 08:58:56 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 9 Amith 2013-06-26 04:48:53 EDT
Verified the BZ on SSSD version : sssd-1.5.1-69.el5

Steps followed during verification:

1. Stop sssd service if its already running.

2. Misconfigure the sssd.conf file, see an example domain section below:
[domain/default]
debug_level = 9
id_provider = proxy
ldap_uri = ldap://SERVER
ldap_search_base = dc=example,dc=com
ldap_default_bind_dn = cn=Directory Manager
ldap_tls_cacert = /etc/openldap/cacerts/cacert.asc 

3. Start sssd service and it should fail.
# service sssd start
Starting sssd:                                             [FAILED]

4. Also, checked whether sssd backend processes are running.
# ps -e | grep sss
Comment 10 Jakub Hrozek 2013-06-26 07:11:53 EDT
*** Bug 974033 has been marked as a duplicate of this bug. ***
Comment 12 errata-xmlrpc 2013-09-30 18:46:01 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1319.html

Note You need to log in before you can comment on or make changes to this bug.